Query Audit Data
curl --request POST \
--url https://api.m3ter.com/organizations/{orgId}/audit/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"entityType": "<string>",
"entityId": "<string>",
"modifiedBy": "<string>",
"sortDescending": true
}
'import requests
url = "https://api.m3ter.com/organizations/{orgId}/audit/query"
payload = {
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"entityType": "<string>",
"entityId": "<string>",
"modifiedBy": "<string>",
"sortDescending": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startDate: '2023-11-07T05:31:56Z',
endDate: '2023-11-07T05:31:56Z',
entityType: '<string>',
entityId: '<string>',
modifiedBy: '<string>',
sortDescending: true
})
};
fetch('https://api.m3ter.com/organizations/{orgId}/audit/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/audit/query",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'startDate' => '2023-11-07T05:31:56Z',
'endDate' => '2023-11-07T05:31:56Z',
'entityType' => '<string>',
'entityId' => '<string>',
'modifiedBy' => '<string>',
'sortDescending' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.m3ter.com/organizations/{orgId}/audit/query"
payload := strings.NewReader("{\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"entityType\": \"<string>\",\n \"entityId\": \"<string>\",\n \"modifiedBy\": \"<string>\",\n \"sortDescending\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.m3ter.com/organizations/{orgId}/audit/query")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"entityType\": \"<string>\",\n \"entityId\": \"<string>\",\n \"modifiedBy\": \"<string>\",\n \"sortDescending\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.m3ter.com/organizations/{orgId}/audit/query")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"entityType\": \"<string>\",\n \"entityId\": \"<string>\",\n \"modifiedBy\": \"<string>\",\n \"sortDescending\": true\n}"
response = http.request(request)
puts response.read_body{
"entityType": "<string>",
"entityId": "<string>",
"modifiedBy": "<string>",
"modifiedAt": "2023-11-07T05:31:56Z",
"eventType": "CREATED",
"previousVersion": {},
"currentVersion": {}
}{
"message": "<string>"
}{
"message": "<string>"
}Query Audit Data
Query Audit data for the given Organization, filtered by entity type/ID and/or the user who made the change.
POST
/
organizations
/
{orgId}
/
audit
/
query
Query Audit Data
curl --request POST \
--url https://api.m3ter.com/organizations/{orgId}/audit/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"entityType": "<string>",
"entityId": "<string>",
"modifiedBy": "<string>",
"sortDescending": true
}
'import requests
url = "https://api.m3ter.com/organizations/{orgId}/audit/query"
payload = {
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"entityType": "<string>",
"entityId": "<string>",
"modifiedBy": "<string>",
"sortDescending": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startDate: '2023-11-07T05:31:56Z',
endDate: '2023-11-07T05:31:56Z',
entityType: '<string>',
entityId: '<string>',
modifiedBy: '<string>',
sortDescending: true
})
};
fetch('https://api.m3ter.com/organizations/{orgId}/audit/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/audit/query",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'startDate' => '2023-11-07T05:31:56Z',
'endDate' => '2023-11-07T05:31:56Z',
'entityType' => '<string>',
'entityId' => '<string>',
'modifiedBy' => '<string>',
'sortDescending' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.m3ter.com/organizations/{orgId}/audit/query"
payload := strings.NewReader("{\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"entityType\": \"<string>\",\n \"entityId\": \"<string>\",\n \"modifiedBy\": \"<string>\",\n \"sortDescending\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.m3ter.com/organizations/{orgId}/audit/query")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"entityType\": \"<string>\",\n \"entityId\": \"<string>\",\n \"modifiedBy\": \"<string>\",\n \"sortDescending\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.m3ter.com/organizations/{orgId}/audit/query")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"entityType\": \"<string>\",\n \"entityId\": \"<string>\",\n \"modifiedBy\": \"<string>\",\n \"sortDescending\": true\n}"
response = http.request(request)
puts response.read_body{
"entityType": "<string>",
"entityId": "<string>",
"modifiedBy": "<string>",
"modifiedAt": "2023-11-07T05:31:56Z",
"eventType": "CREATED",
"previousVersion": {},
"currentVersion": {}
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the organization
Query Parameters
Number of audit records to retrieve per page
Required range:
1 <= x <= 200nextToken for multi page retrievals
Body
application/json